Update assginment of properties for a tenant.

Privileges: ORGANIZATION_MODIFY

Assign/Unassign properties like storage domain, entities, policies etc.
to the tenant.
The API expects a list of all the assignments (policies etc.) that are
supposed to be associated to the Tenant. The list of assignments passed
get assigned to the Tenant and anything else that was already assigned
gets unassigned.
Exactly one property type must be specified per request. For example a
request may specify storageDomainIds or viewIds or
activeDirectoryDomains, but not more than one of them together.
ldapProviderIds and activeDirectoryDomains are additive only.
Unassigning a previously assigned LDAP provider or Active Directory
domain is not allowed, so these lists must contain the already
assigned entries along with the new ones.
In case a few objects fail the assignment and some objects get assigned,
error is returned for all assignments except for policies.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^([a-zA-Z0-9]+/)$

The Tenant id.

Body Params

Parameters to be specified for assigning properties like storage domain,
entities, policies to the tenant.

activeDirectoryDomains
array of strings | null

List of Active Directory domain names on the cluster, to be
associated to the Tenant.

activeDirectoryDomains
groupSids
array of strings | null

List of SIDs of groups that should have access to the Tenant.

groupSids
ldapProviderIds
array of int64s | null

List of LDAP providers on the cluster, to be associated to the
Tenant. At most one LDAP provider may be assigned per Tenant.

ldapProviderIds
objectIds
array of int64s | null

List of objects on the cluster, to be associated to the Tenant.

objectIds
policyIds
array of strings | null

List of policies on the cluster, to be associated to the Tenant.

policyIds
protectionJobIds
array of int64s | null

List of protection jobs on the cluster, to be associated to the
Tenant.

protectionJobIds
storageDomainIds
array of int64s | null

List of storage domains on the cluster, to be associated to the Tenant.

storageDomainIds
userSids
array of strings | null

List of SIDs of users to be associated to the Tenant.

userSids
viewIds
array of int64s | null

List of views on the cluster, to be associated to the Tenant.

viewIds
vlanIfaceNames
array of strings | null

List of vlans on the cluster, to be associated to the Tenant.

vlanIfaceNames
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json